DELETE FROM "training_class";
ALTER TABLE "training_class" ADD COLUMN goal INTEGER;
ALTER TABLE "training_class" ADD COLUMN startDate INTEGER;
ALTER TABLE "training_class" ADD COLUMN weeks INTEGER;
ALTER TABLE "training_class" ADD COLUMN days INTEGER;
ALTER TABLE "training_class" ADD COLUMN sponsorId INTEGER;
ALTER TABLE "training_class" ADD COLUMN signedUp INTEGER;

DELETE FROM "scheduled_class";

DROP TRIGGER delete_orphaned_training_classes;
DROP INDEX scheduled_class_index;
DROP TABLE scheduled_class;

CREATE TABLE scheduled_class (_id INTEGER PRIMARY KEY, training_class_id INTEGER, start_date INTEGER, sync_timestamp_web INTEGER);
CREATE INDEX scheduled_class_index ON scheduled_class(_id);
CREATE TRIGGER delete_orphaned_training_classes AFTER DELETE ON scheduled_class BEGIN DELETE FROM training_class WHERE _id NOT IN (SELECT training_class_id FROM scheduled_class WHERE _id <> OLD._id); END;

CREATE TABLE sponsor(_id INTEGER PRIMARY KEY, name TEXT, url TEXT, biography TEXT);

ALTER TABLE training_class ADD COLUMN completion_type INTEGER;
ALTER TABLE training_class ADD COLUMN completion_date INTEGER;
ALTER TABLE training_session ADD COLUMN completion_type INTEGER;
