CREATE TABLE tripHeartRateData (tripUUID TEXT NOT NULL, absoluteTimeIntervalMs DOUBLE NOT NULL, heartRate INTEGER NOT NULL);
CREATE INDEX tripHeartRateDataIndex ON tripHeartRateData(tripUUID);

CREATE TABLE tripEventData (tripUUID TEXT NOT NULL, absoluteTimeIntervalMs DOUBLE NOT NULL, eventType INTEGER NOT NULL, isAuto BOOLEAN NOT NULL);
CREATE INDEX tripEventDataIndex ON tripEventData(tripUUID);

ALTER TABLE trips ADD COLUMN trackingMode INTEGER NOT NULL DEFAULT 0;