CREATE TABLE routes (_id INTEGER PRIMARY KEY, name TEXT, distance DOUBLE DEFAULT 0, activity_type INTEGER DEFAULT 0);
CREATE TABLE route_points (_id INTEGER PRIMARY KEY, route_id INTEGER, latitude INTEGER, longitude INTEGER); 
CREATE TABLE route_activities (_id INTEGER PRIMARY KEY, route_id INTEGER DEFAULT -1, start_date DOUBLE DEFAULT 0, duration DOUBLE DEFAULT 0, pace DOUBLE DEFAULT 0);
ALTER TABLE trips ADD COLUMN route_id INTEGER DEFAULT -1;
ALTER TABLE trips ADD COLUMN notes TEXT;
CREATE TABLE trip_settings (_id INTEGER PRIMARY KEY AUTOINCREMENT, trip_id INTEGER, setting_key TEXT, setting_value TEXT);
CREATE INDEX points_index ON points(trip_id);
CREATE INDEX route_activities_index ON route_activities(route_id);
CREATE INDEX route_points_index ON route_points(route_id);
CREATE INDEX status_updates_index ON status_updates(trip_id);
CREATE INDEX training_activity_intervals_index ON training_activity_intervals(activity_id);
CREATE INDEX trip_recorded_intervals_index ON trip_recorded_intervals (trip_id);
CREATE INDEX trip_settings_index ON trip_settings (trip_id);
												 