ALTER TABLE challenge_events RENAME TO old_challenge_events;

CREATE TABLE challenge_events ( event_id TEXT, event_timestamp TEXT, event_type INTEGER, event_uuid TEXT PRIMARY KEY, user_email TEXT, user_id TEXT, challenge_id TEXT, source TEXT, value INTEGER, team TEXT DEFAULT NULL );

INSERT INTO challenge_events (event_id, event_timestamp, event_type, event_uuid, user_email, user_id, challenge_id, source, value, team) SELECT * FROM old_challenge_events;

DROP TABLE old_challenge_events;

CREATE INDEX challenge_id_for_event_idx ON challenge_events(challenge_id);