DELETE FROM "training_session";
DELETE FROM "scheduled_class";
DELETE FROM "training_class";
DELETE FROM "sponsor";

DROP TRIGGER "delete_training_workouts_for_training_session";
DROP INDEX "training_session_index";
DROP TABLE "training_session";

CREATE TABLE "training_session" (_id INTEGER PRIMARY KEY, training_class_id INTEGER, description TEXT, nutrition_info TEXT, day_offset INTEGER, session_number INTEGER, customized INTEGER, training_workout_id INTEGER, summary TEXT, completion_type INTEGER, trip_uuid TEXT);
CREATE INDEX training_session_index ON training_session(_id);
CREATE TRIGGER delete_training_workouts_for_training_session AFTER DELETE ON training_session BEGIN DELETE FROM trainingworkout WHERE _id = OLD.training_workout_id AND is_template = 1; END;