DROP TABLE IF EXISTS training_activities;
DROP TABLE IF EXISTS training_activity_intervals;
DROP TABLE IF EXISTS trip_recorded_intervals;

CREATE TABLE trainingworkout(_id INTEGER PRIMARY KEY AUTOINCREMENT, name TEXT, options TEXT, intervals TEXT, repetitions INTEGER DEFAULT 0);
CREATE INDEX trainingworkout_index ON trainingworkout(_id);
INSERT INTO "trainingworkout" (name, options, intervals, repetitions) VALUES ('20 Minute Easy Workout', 'warmup', '60,s,steady,MINUTES;90,s,slow,MINUTES;1609.34399414063,m,slow,MILES', 7);
INSERT INTO "trainingworkout" (name, options, intervals, repetitions) VALUES ('2.25 Mile Workout', 'warmup', '804.671997070313,m,steady,MILES;402.335998535156,m,slow,MILES;1207.00805664063,m,fast,MILES;402.335998535156,m,slow,MILES,804.671997070313,m,steady,MILES', 0);
INSERT INTO "trainingworkout" (name, options, intervals, repetitions) VALUES ('2 Miles with Rest', 'warmup', '1609.34399414063,m,steady,MILES;402.335998535156,m,slow,MILES;1609.34399414063,m,steady,MILES', 0);