CREATE TABLE personal_total_stats (total_type TEXT, activity_type TEXT, avg_pace REAL, total_calories INTEGER, total_climb INTEGER, total_distance REAL, total_duration REAL, num_activities INTEGER, last_updated INTEGER, PRIMARY KEY (total_type, activity_type));
CREATE TABLE personal_record_stats (record_type TEXT, activity_type TEXT, stat_type TEXT, stat_value REAL, record_date INTEGER, last_updated INTEGER, stat_description TEXT, PRIMARY KEY (record_type, activity_type, stat_type));
CREATE TABLE workout_reminder (uuid varchar(32) primary key, reminder_type integer not null, reminder_state integer not null, reminder_time bigint not null, sent integer not null);