CREATE TABLE rx_workout ( workout_id TEXT, workout_session_id INT, description TEXT, day_offset INT, session_number INT, rx_workout_number INT,  customized INT, trip_uuid TEXT, completion_type INT, workout_name TEXT, workout_options TEXT, workout_intervals TEXT, workout_repetitions TEXT, attempted_trip_uuid TEXT, workout_type INTEGER);
CREATE INDEX rx_workout_uuid_index ON rx_workout(workout_id);
CREATE INDEX rx_workout_number_index ON rx_workout(rx_workout_number);
CREATE INDEX rx_workout_trip_uuid_index ON rx_workout(trip_uuid);
CREATE INDEX rx_workout_attempted_trip_uuid_index ON rx_workout(attempted_trip_uuid);